package com.mortals.xhx.module.stat.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.pj.model.PjEvaluateStatEntity;
import com.mortals.xhx.module.stat.model.StatEntity;
import com.mortals.xhx.module.stat.dao.StatDao;
/**
* StatService
*
* 汇总统计 service接口
*
* @author zxfei
* @date 2024-07-02
*/
public interface StatService extends ICRUDService<StatEntity,Long>{

    StatDao getDao();


    /**
     * 更新站点统计
     * @param entity
     * @param context
     * @return
     */
    Rest<Void> updateSiteStat(StatEntity entity, Context context);


}